Unit AMMMR_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc;

procedure AMMMR(var IA :Array of Integer; var JA :Array of Integer;
                var AN :Array of Real; NR :Integer; NC :Integer;
                var D :Array of Real); 
implementation

procedure AMMMR(var IA :Array of Integer; var JA :Array of Integer;
                var AN :Array of Real; NR :Integer; NC :Integer;
                var D :Array of Real);
var
IAA,IAB,I,J :Integer;
DD :Real;
label
_10,_20;
begin

{            }
{          NR   N ,   }
{        RR()U,    D  NR. - }
{          =D   - }
{       N.        .   }


{   I, J, N -  :         }
{                    RR()U; }
{                 : N     }
{                ,    I  J    -   }
{                   ; }

{       NR, N -        }
{                 ( )  (: ): }

{            D -     NR,  }
{                   D }


{            }

for I:=1 to NR do
 begin
  IAA := IA[I-1];
  IAB := IA[I+0]-1;
  if ( IAB < IAA ) 
   then goto _20;

{        I  ,     ,    }
{        }

  DD := D[I-1];
  for J:=IAA to IAB do
   begin
_10:
    AN[J-1] := AN[J-1]*DD;
   end;
_20:
 end;
end;

end.
